<?php
include("clase_cargue.php");
$data = json_decode(file_get_contents("php://input"), true);
if(isset($data["tipomovimi"])){
   
    $movimiento=$data["tipomovimi"];
    $provedor=$data["provedor"];
    $total=$data["total"];
    $fecha=$data["fechac"];
    $factura = ($data["numfactcom"]);

    $exento=$data["excento"];
    $excluido=$data["excluido"];
    $iva19=$data["iva19"];
    $iva5=$data["iva5"];
    $base19=$data["base19"];
    $base5=$data["base5"];
    $produtfact=$data["productos"];
    $tipoCompra=$data["tipocompra"];
    $tipodetalle=$data["tipodetalle"];
    $bodega=$data["bodega"];
    $usuarioA=$data["usuarioA"];
    $preciosTodos=$data["preciosTodos"];
    $otroiva=$data["ivaotro"];
    $baseotro=$data["baseotro"];

    validadturnosentradas($bodega);
    turno($bodega);

    
$fechaEn=date('Y-m-d H:i:s');
    


    $fila =json_decode($produtfact,true);

            if($factura=="" || $provedor==""){
                $dat=["res"=>"no","mensa"=>"No ha puesto ningun numero de factura o provedor"];
                echo(json_encode($dat));

            }else{
                
            if($movimiento=="entrada"){
                    
                
                $GLOBALS["respuest"]=0; 
                $consul=new carguefactura();                     
                $v=$consul->buscliente($provedor);

                $numentra=$consul->consusnumeroentrada($bodega);

                if( $numentra > $factura ){
                    $dat=["res"=>"no","mensa"=>"Numero de entrada ya existe. EL MOVIMIENTO YA FUE GRABADO"];
                    
                    echo(json_encode($dat));
                   

                }else{
                    
                    if( $v==false){
                        $dat=["res"=>"no","mensa"=>"el provedor no esta registrado"];
                        echo(json_encode($dat));


                    } else{

                        if(  $_SESSION["inventarioLinea"]==0  ||  $_SESSION["inventarioLinea"]=="0"){
                         $fa=$consul->consultarfactor($fila,$bodega);
                        }else{
                                $GLOBALS["factor"]=0;
                        }
                        
                        
                        if($GLOBALS["factor"]==1){ 
                            $dat=["res"=>"no","mensa"=>'El producto no se puede cargar en fraccion'. $GLOBALS["prod"]];
                                 echo(json_encode($dat));

                                }else{
                                   if(  $_SESSION["inventarioLinea"]==0  ||  $_SESSION["inventarioLinea"]=="0"){
                                           $entra=$consul->entrada($fila,$bodega,$fechaEn,$preciosTodos);  
                                      //  echo(var_dump($entra));
                                        if($entra){
                                           $kardessalida=$consul->kardex($fila,$movimiento,$fecha,$factura,$provedor,$tipodetalle, $bodega,$usuarioA);
                                        }else{
                                             $dat=["res"=>"no","mensa"=>"error al ejecutar entrada"];
                                            echo(json_encode($dat));
                                        }
                                  
                                  
                                        }else{
                                                $entra=true;
                                    }
                                             
                                            if($entra){
                                               
                                              
                                                $z=$consul->actulizarnumeentrada($factura,$bodega);
                                                
                                             /*
                                                $conex=new conexion();
                                                $conen=$conex->conectar();
                                                $consul1="DELETE FROM `temporal` WHERE numfactur=$factura and movimineto='$movimiento'";
                                                $resul=$conen->query($consul1);
                                            */

                                                $dat=["res"=>"ok","mensa"=>"proceso realizado con exito"];
                                                echo(json_encode($dat));
                                                try {
                                                    // $consul->contabili($bodega,"Entrada",$total,$factura,$provedor,0,$tipodetalle,$exento,$excluido,$base19,$iva19,$base5,$iva5,$fecha,$total,$otroiva,$baseotro);
                                                } catch (Exception $e) {
                                                    echo(json_encode($dat));
                                                }
                                                
                                        }else{
                                            $dat=["res"=>"no","mensa"=>"error al ejecutar entrada"];
                                            echo(json_encode($dat));
                                        }
                                        

                                    }
                       
                                 }

                                       

                }

               

                   }
                     

                   
                 
                } //entrada



                 }

                
               
                           



                    

            
            
        

       